
From: Adrian Bunk <bunk@stusta.de>

This patch makes the needlessly global mm_cachep static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/fork.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/fork.c~kernel-forkc-make-mm_cachep-static kernel/fork.c
--- 25/kernel/fork.c~kernel-forkc-make-mm_cachep-static	2005-01-23 14:47:42.398751576 -0800
+++ 25-akpm/kernel/fork.c	2005-01-23 14:47:42.401751120 -0800
@@ -1209,7 +1209,7 @@ kmem_cache_t *fs_cachep;
 kmem_cache_t *vm_area_cachep;
 
 /* SLAB cache for mm_struct structures (tsk->mm) */
-kmem_cache_t *mm_cachep;
+static kmem_cache_t *mm_cachep;
 
 void __init proc_caches_init(void)
 {
_
